/*
 *  Created on Oct 14, 2003
 *  Copyright 2003 by Ryan Michela
 *
 *   This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
package org.nukesoft.bot2.commlib;
import org.nukesoft.bot2.core.*;

/**
 * The CommPortCallback interface is used by the CommPort class to provide
 * a way to pass off incomming instant messages to the appropriate authority.
 * 
 * @author Ryan Michela
 * 
 * @see CommPort
 */
public interface CommPortCallback
{
	/**
	 * Handles an incomming message.
	 * @param message The message.
	 */
	public void handleIM(IM message, CommPort cp);
	
	/**
	 * Handles an incomming warning.
	 * @param screenName The screen name that did the warning.
	 */
	public void handleWarn(String screenName, CommPort cp);
}
