/*
 *  Created on Nov 19, 2003
 *  Copyright 2003 by Ryan Michela
 *
 *   This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
package net.chayden.eliza;

/**
 * This class provides a simplified interface for using the Eliza library
 * as a line processor.
 * 
 * @author Ryan Michela
 */

//the mutator class mutates the input string to produce the output
public class ElizaProc
{
  ElizaMain theBot = new ElizaMain();

  /**
   * Builds an ElizaProc object.
   * @param scriptPath path of the script file to load.
   */
  public ElizaProc(String scriptPath)
  {
	theBot.readScript(true, scriptPath);
  }

  /**
   * Mutates one line of text using the Eliza algorithm.
   * @param input The string to mutate.
   * @return The resuting string.
   */
  public String mutate(String input)
  {
	return theBot.processInput(input);
  }
}